aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/install_deps.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/scripts/install_deps.sh b/scripts/install_deps.sh
index a67fea82..7c8523a8 100755
--- a/scripts/install_deps.sh
+++ b/scripts/install_deps.sh
@@ -44,6 +44,8 @@
# (c) 2016 solidity contributors.
#------------------------------------------------------------------------------
+set -e
+
# Check for 'uname' and abort if it is not available.
uname -v > /dev/null 2>&1 || { echo >&2 "ERROR - solidity requires 'uname' to identify the platform."; exit 1; }